# Login to Access -- TUCTF 2019

This challenge had two completely distinct parts, both of which show different ways to circumvent a login page. The first is simple, a basic SQLi (`' or 1=1--` works). This leads to a second login page. Going back to the description for the challenges that mentions `back up` leads to a second way of thinking about a login page. While most can be circumvented by SQLi, sometimes unorthodox solutions are required. The page where the requests from the login html pages went is `login.php`, and one thing that sometimes occurs with websites is accidental (or forgotten purposeful) backups of webpages allowing an outsider to read the static versions of dynamic content. So to find the flag, one had to recognize this occured for this website and visit `login.php.bak`.
